﻿using Syncfusion.Drawing;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ChartToPdfExample
{
    public partial class MainPage : ContentPage
    {
        PdfDocument document = new PdfDocument();
        public MainPage()
        {
            InitializeComponent();
        }

        private void Button_Clicked(object sender, EventArgs e)
        {
            if (document == null) document = new PdfDocument();
            chart.WidthRequest = document.PageSettings.Width;
            chart.HeightRequest = document.PageSettings.Height;


            // adding text to the PDF
            PdfPage page = document.Pages.Add();

            PdfStandardFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 15);

            page.Graphics.DrawString("Grid table is shown below", font, PdfBrushes.Black, new PointF(20, 20));




            //Create a PdfGrid.

            PdfGrid pdfGrid = new PdfGrid();

            //Add values to list

            List<object> data = new List<object>();

            Object row1 = new { ID = "E01", Name = "Clay" };

            Object row2 = new { ID = "E02", Name = "Thomas" };

            data.Add(row1);

            data.Add(row2);

            //Add list to IEnumerable

            IEnumerable<object> dataTable = data;

            //Assign data source.

            pdfGrid.DataSource = dataTable;

            //Draw grid to the page of PDF document.

            pdfGrid.Draw(page, new Syncfusion.Drawing.PointF(20, 40));



            var stream = chart.GetStream();
            DependencyService.Get<IChartDependencyService>().SaveAsPDF(stream, chart, document);
        }
    }
}
